## IAnjutaEditorLineMode IAnjutaEditorLineMode — Text editor line mode |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_editor_line_mode_error_quark ()
void | ianjuta_editor_line_mode_convert ()
void | ianjuta_editor_line_mode_fix ()
IAnjutaEditorLineModeType | ianjuta_editor_line_mode_get ()
void | ianjuta_editor_line_mode_set ()

## Types and Values

#define | IANJUTA_EDITOR_LINE_MODE_ERROR
enum | IAnjutaEditorLineModeType

## Object Hierarchy

        GEnum
        ╰── IAnjutaEditorLineModeType
        GInterface
        ╰── IAnjutaEditorLineMode

## Includes

    #include <libanjuta/interfaces/ianjuta-editor-line-mode.h>

## Description

## Functions

### ianjuta_editor_line_mode_error_quark ()

    GQuark
    ianjuta_editor_line_mode_error_quark (void);

#### Returns

### ianjuta_editor_line_mode_convert ()

    void
    ianjuta_editor_line_mode_convert (IAnjutaEditorLineMode *obj,
                                      IAnjutaEditorLineModeType mode,
                                      GError **err);

Set the line ending mode to the given `mode` and convert all line end characters in the buffer to `mode` line end characters.

#### Parameters

obj | Self |
mode | Line mode to convert. |
err | Error propagation and reporting |

### ianjuta_editor_line_mode_fix ()

    void
    ianjuta_editor_line_mode_fix (IAnjutaEditorLineMode *obj,
                                  GError **err);

Convert EOL characters to majority of line mode. This is helpful when the buffer contains mixed line modes and we want to fix it.

#### Parameters

obj | Self |
err | Error propagation and reporting |

### ianjuta_editor_line_mode_get ()

    IAnjutaEditorLineModeType
    ianjuta_editor_line_mode_get (IAnjutaEditorLineMode *obj,
                                  GError **err);

Get current line ending mode. It is auto-detected from the buffer contents.

#### Parameters

obj | Self |
err | Error propagation and reporting |

#### Returns

### ianjuta_editor_line_mode_set ()

    void
    ianjuta_editor_line_mode_set (IAnjutaEditorLineMode *obj,
                                  IAnjutaEditorLineModeType mode,
                                  GError **err);

Set the line ending mode to the given `mode` . Existing line end characters in the buffer are not touched. Only the newly added texts will have `mode` line end characters.

#### Parameters

obj | Self |
mode | Line mode to set. |
err | Error propagation and reporting |

## Types and Values

### IANJUTA_EDITOR_LINE_MODE_ERROR

    #define IANJUTA_EDITOR_LINE_MODE_ERROR ianjuta_editor_line_mode_error_quark()

### enum IAnjutaEditorLineModeType

This enumeration is used to specify the type of text. Note that not all editors implement this.

#### Members

IANJUTA_EDITOR_LINE_MODE_LF | Line-Feed (Unix) |
IANJUTA_EDITOR_LINE_MODE_CR | Carat return (Max) |
IANJUTA_EDITOR_LINE_MODE_CRLF | Caret return + line-feed (Windows) |